GET /{serviceName}/ImageServer/getImage
Summary: Get raster data
Operation ID: getImage
Auth: none
Operation ID: getImage
Auth: none
Description
Retrieve raster data from ImageServer for specified extent
Parameters (4)
bbox
(string, query, required)
Bounding box in format xmin,ymin,xmax,ymax
format
(string, query, optional)
Output image format
Constraints: {'enum': ['jpgpng', 'png', 'png8', 'png24', 'jpg', 'bmp', 'gif', 'tiff', 'png32']}
serviceName
(string, path, required)
ImageServer service name
size
(string, query, optional, default: 400,400)
Image size in format width,height
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Basic raster image request for Gulf of Mexico | curl |
https://www.ncei.noaa.gov/Sea-Surface-Temperature/ImageServer/getImage?bbox=-100,20,-80,40 |
|
| PNG format request with custom size | curl |
https://www.ncei.noaa.gov/Ocean-Warming/ImageServer/getImage?bbox=-160,15,-140,35&format=png&size=800,600 |
|
| Pacific Ocean data with JPEG format | curl |
https://www.ncei.noaa.gov/Sea-Ice-Extent/ImageServer/getImage?bbox=-180,50,-120,70&format=jpg&size=600,400 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:36:07.509703 | 404 | 755ms | |
| 2026-03-23 10:11:10.471835 | 404 | 1687ms | |
| 2026-03-23 09:50:05.355741 | 404 | 1006ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:11:10.471835 | ef4c54f21227 |
841904d09cce |
| 2026-03-23 10:36:07.509703 | 841904d09cce |
78d13769a658 |